#### ROW

#### Synopsis

    HELP:   A set of different rows/table formats to write
    TYPE:   OBJECT
    SYNTAX: ROW[(NAME='str',COLUMN[()...],MAXLEN/FIXLEN=num,HEADLN,PATH/ROOT='str',FORMAT=ORG/FIX/LFD/DLM/VAR/CSV/TVD/XML,DEFAULTS())...]

#### Description

This object can be used to define different kinds of tables. Since table formatting is performed on each row, one row specification describes the structure of each row in the table. Columns can be re-ordered and/or eliminated. It is also possible to write the same column multiple times with different representations of the same value.

Any conversions are performed per column. Data formats, character sets and various conversions can be mixed at will.

A row specification supports many powerful features which can be used with the parameters below.

#### Arguments

- `STRING: NAME='str' - Logical name for a row format (table)`
- `NUMBER: MAXLEN/FIXLEN=num - Maximum length of a row/record for plausibility checking [no limit]`
- `SWITCH: HEADLN - Write a headline [FALSE]`
- `STRING: PATH/ROOT='str' - Define path to row (root) in a structured format [name]`